/*****
 * Tencent is pleased to support the open source community by making QMUI_iOS available.
 * Copyright (C) 2016-2019 THL A29 Limited, a Tencent company. All rights reserved.
 * Licensed under the MIT License (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at
 * http://opensource.org/licenses/MIT
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.
 *****/

/// Automatically created by script in Build Phases

#import <UIKit/UIKit.h>

#ifndef QMUIKit_h
#define QMUIKit_h

static NSString * const QMUI_VERSION = @"3.2.0";

#if __has_include("CAAnimation+QMUI.h")
#import "CAAnimation+QMUI.h"
#endif

#if __has_include("CALayer+QMUI.h")
#import "CALayer+QMUI.h"
#endif

#if __has_include("NSArray+QMUI.h")
#import "NSArray+QMUI.h"
#endif

#if __has_include("NSAttributedString+QMUI.h")
#import "NSAttributedString+QMUI.h"
#endif

#if __has_include("NSCharacterSet+QMUI.h")
#import "NSCharacterSet+QMUI.h"
#endif

#if __has_include("NSMethodSignature+QMUI.h")
#import "NSMethodSignature+QMUI.h"
#endif

#if __has_include("NSNumber+QMUI.h")
#import "NSNumber+QMUI.h"
#endif

#if __has_include("NSObject+QMUI.h")
#import "NSObject+QMUI.h"
#endif

#if __has_include("NSObject+QMUIMultipleDelegates.h")
#import "NSObject+QMUIMultipleDelegates.h"
#endif

#if __has_include("NSParagraphStyle+QMUI.h")
#import "NSParagraphStyle+QMUI.h"
#endif

#if __has_include("NSPointerArray+QMUI.h")
#import "NSPointerArray+QMUI.h"
#endif

#if __has_include("NSString+QMUI.h")
#import "NSString+QMUI.h"
#endif

#if __has_include("NSURL+QMUI.h")
#import "NSURL+QMUI.h"
#endif

#if __has_include("QMUIAlbumViewController.h")
#import "QMUIAlbumViewController.h"
#endif

#if __has_include("QMUIAlertController.h")
#import "QMUIAlertController.h"
#endif

#if __has_include("QMUIAsset.h")
#import "QMUIAsset.h"
#endif

#if __has_include("QMUIAssetsGroup.h")
#import "QMUIAssetsGroup.h"
#endif

#if __has_include("QMUIAssetsManager.h")
#import "QMUIAssetsManager.h"
#endif

#if __has_include("QMUIButton.h")
#import "QMUIButton.h"
#endif

#if __has_include("QMUICellHeightCache.h")
#import "QMUICellHeightCache.h"
#endif

#if __has_include("QMUICellHeightKeyCache.h")
#import "QMUICellHeightKeyCache.h"
#endif

#if __has_include("QMUICellSizeKeyCache.h")
#import "QMUICellSizeKeyCache.h"
#endif

#if __has_include("QMUICollectionViewPagingLayout.h")
#import "QMUICollectionViewPagingLayout.h"
#endif

#if __has_include("QMUICommonDefines.h")
#import "QMUICommonDefines.h"
#endif

#if __has_include("QMUICommonTableViewController.h")
#import "QMUICommonTableViewController.h"
#endif

#if __has_include("QMUICommonViewController.h")
#import "QMUICommonViewController.h"
#endif

#if __has_include("QMUIConfiguration.h")
#import "QMUIConfiguration.h"
#endif

#if __has_include("QMUIConfigurationMacros.h")
#import "QMUIConfigurationMacros.h"
#endif

#if __has_include("QMUIConsole.h")
#import "QMUIConsole.h"
#endif

#if __has_include("QMUIConsoleToolbar.h")
#import "QMUIConsoleToolbar.h"
#endif

#if __has_include("QMUIConsoleViewController.h")
#import "QMUIConsoleViewController.h"
#endif

#if __has_include("QMUICore.h")
#import "QMUICore.h"
#endif

#if __has_include("QMUIDialogViewController.h")
#import "QMUIDialogViewController.h"
#endif

#if __has_include("QMUIEmotionInputManager.h")
#import "QMUIEmotionInputManager.h"
#endif

#if __has_include("QMUIEmotionView.h")
#import "QMUIEmotionView.h"
#endif

#if __has_include("QMUIEmptyView.h")
#import "QMUIEmptyView.h"
#endif

#if __has_include("QMUIFillButton.h")
#import "QMUIFillButton.h"
#endif

#if __has_include("QMUIFloatLayoutView.h")
#import "QMUIFloatLayoutView.h"
#endif

#if __has_include("QMUIGhostButton.h")
#import "QMUIGhostButton.h"
#endif

#if __has_include("QMUIGridView.h")
#import "QMUIGridView.h"
#endif

#if __has_include("QMUIHelper.h")
#import "QMUIHelper.h"
#endif

#if __has_include("QMUIImagePickerCollectionViewCell.h")
#import "QMUIImagePickerCollectionViewCell.h"
#endif

#if __has_include("QMUIImagePickerHelper.h")
#import "QMUIImagePickerHelper.h"
#endif

#if __has_include("QMUIImagePickerPreviewViewController.h")
#import "QMUIImagePickerPreviewViewController.h"
#endif

#if __has_include("QMUIImagePickerViewController.h")
#import "QMUIImagePickerViewController.h"
#endif

#if __has_include("QMUIImagePreviewView.h")
#import "QMUIImagePreviewView.h"
#endif

#if __has_include("QMUIImagePreviewViewController.h")
#import "QMUIImagePreviewViewController.h"
#endif

#if __has_include("QMUIImagePreviewViewTransitionAnimator.h")
#import "QMUIImagePreviewViewTransitionAnimator.h"
#endif

#if __has_include("QMUIKeyboardManager.h")
#import "QMUIKeyboardManager.h"
#endif

#if __has_include("QMUILab.h")
#import "QMUILab.h"
#endif

#if __has_include("QMUILabel.h")
#import "QMUILabel.h"
#endif

#if __has_include("QMUILinkButton.h")
#import "QMUILinkButton.h"
#endif

#if __has_include("QMUILog+QMUIConsole.h")
#import "QMUILog+QMUIConsole.h"
#endif

#if __has_include("QMUILog.h")
#import "QMUILog.h"
#endif

#if __has_include("QMUILogItem.h")
#import "QMUILogItem.h"
#endif

#if __has_include("QMUILogManagerViewController.h")
#import "QMUILogManagerViewController.h"
#endif

#if __has_include("QMUILogNameManager.h")
#import "QMUILogNameManager.h"
#endif

#if __has_include("QMUILogger+QMUIConfigurationTemplate.h")
#import "QMUILogger+QMUIConfigurationTemplate.h"
#endif

#if __has_include("QMUILogger.h")
#import "QMUILogger.h"
#endif

#if __has_include("QMUIMarqueeLabel.h")
#import "QMUIMarqueeLabel.h"
#endif

#if __has_include("QMUIModalPresentationViewController.h")
#import "QMUIModalPresentationViewController.h"
#endif

#if __has_include("QMUIMoreOperationController.h")
#import "QMUIMoreOperationController.h"
#endif

#if __has_include("QMUIMultipleDelegates.h")
#import "QMUIMultipleDelegates.h"
#endif

#if __has_include("QMUINavigationBarScrollingAnimator.h")
#import "QMUINavigationBarScrollingAnimator.h"
#endif

#if __has_include("QMUINavigationBarScrollingSnapAnimator.h")
#import "QMUINavigationBarScrollingSnapAnimator.h"
#endif

#if __has_include("QMUINavigationButton.h")
#import "QMUINavigationButton.h"
#endif

#if __has_include("QMUINavigationController.h")
#import "QMUINavigationController.h"
#endif

#if __has_include("QMUINavigationTitleView.h")
#import "QMUINavigationTitleView.h"
#endif

#if __has_include("QMUIOrderedDictionary.h")
#import "QMUIOrderedDictionary.h"
#endif

#if __has_include("QMUIPieProgressView.h")
#import "QMUIPieProgressView.h"
#endif

#if __has_include("QMUIPopupContainerView.h")
#import "QMUIPopupContainerView.h"
#endif

#if __has_include("QMUIPopupMenuBaseItem.h")
#import "QMUIPopupMenuBaseItem.h"
#endif

#if __has_include("QMUIPopupMenuButtonItem.h")
#import "QMUIPopupMenuButtonItem.h"
#endif

#if __has_include("QMUIPopupMenuItemProtocol.h")
#import "QMUIPopupMenuItemProtocol.h"
#endif

#if __has_include("QMUIPopupMenuView.h")
#import "QMUIPopupMenuView.h"
#endif

#if __has_include("QMUIRuntime.h")
#import "QMUIRuntime.h"
#endif

#if __has_include("QMUIScrollAnimator.h")
#import "QMUIScrollAnimator.h"
#endif

#if __has_include("QMUISearchBar.h")
#import "QMUISearchBar.h"
#endif

#if __has_include("QMUISearchController.h")
#import "QMUISearchController.h"
#endif

#if __has_include("QMUISegmentedControl.h")
#import "QMUISegmentedControl.h"
#endif

#if __has_include("QMUISlider.h")
#import "QMUISlider.h"
#endif

#if __has_include("QMUIStaticTableViewCellData.h")
#import "QMUIStaticTableViewCellData.h"
#endif

#if __has_include("QMUIStaticTableViewCellDataSource.h")
#import "QMUIStaticTableViewCellDataSource.h"
#endif

#if __has_include("QMUITabBarViewController.h")
#import "QMUITabBarViewController.h"
#endif

#if __has_include("QMUITableView.h")
#import "QMUITableView.h"
#endif

#if __has_include("QMUITableViewCell.h")
#import "QMUITableViewCell.h"
#endif

#if __has_include("QMUITableViewHeaderFooterView.h")
#import "QMUITableViewHeaderFooterView.h"
#endif

#if __has_include("QMUITableViewProtocols.h")
#import "QMUITableViewProtocols.h"
#endif

#if __has_include("QMUITestView.h")
#import "QMUITestView.h"
#endif

#if __has_include("QMUITextField.h")
#import "QMUITextField.h"
#endif

#if __has_include("QMUITextView.h")
#import "QMUITextView.h"
#endif

#if __has_include("QMUITips.h")
#import "QMUITips.h"
#endif

#if __has_include("QMUIToastAnimator.h")
#import "QMUIToastAnimator.h"
#endif

#if __has_include("QMUIToastBackgroundView.h")
#import "QMUIToastBackgroundView.h"
#endif

#if __has_include("QMUIToastContentView.h")
#import "QMUIToastContentView.h"
#endif

#if __has_include("QMUIToastView.h")
#import "QMUIToastView.h"
#endif

#if __has_include("QMUIToolbarButton.h")
#import "QMUIToolbarButton.h"
#endif

#if __has_include("QMUIVisualEffectView.h")
#import "QMUIVisualEffectView.h"
#endif

#if __has_include("QMUIWeakObjectContainer.h")
#import "QMUIWeakObjectContainer.h"
#endif

#if __has_include("QMUIZoomImageView.h")
#import "QMUIZoomImageView.h"
#endif

#if __has_include("UIActivityIndicatorView+QMUI.h")
#import "UIActivityIndicatorView+QMUI.h"
#endif

#if __has_include("UIBarItem+QMUI.h")
#import "UIBarItem+QMUI.h"
#endif

#if __has_include("UIBarItem+QMUIBadge.h")
#import "UIBarItem+QMUIBadge.h"
#endif

#if __has_include("UIBezierPath+QMUI.h")
#import "UIBezierPath+QMUI.h"
#endif

#if __has_include("UIButton+QMUI.h")
#import "UIButton+QMUI.h"
#endif

#if __has_include("UICollectionView+QMUI.h")
#import "UICollectionView+QMUI.h"
#endif

#if __has_include("UICollectionView+QMUICellSizeKeyCache.h")
#import "UICollectionView+QMUICellSizeKeyCache.h"
#endif

#if __has_include("UIColor+QMUI.h")
#import "UIColor+QMUI.h"
#endif

#if __has_include("UIControl+QMUI.h")
#import "UIControl+QMUI.h"
#endif

#if __has_include("UIFont+QMUI.h")
#import "UIFont+QMUI.h"
#endif

#if __has_include("UIGestureRecognizer+QMUI.h")
#import "UIGestureRecognizer+QMUI.h"
#endif

#if __has_include("UIImage+QMUI.h")
#import "UIImage+QMUI.h"
#endif

#if __has_include("UIImageView+QMUI.h")
#import "UIImageView+QMUI.h"
#endif

#if __has_include("UIInterface+QMUI.h")
#import "UIInterface+QMUI.h"
#endif

#if __has_include("UILabel+QMUI.h")
#import "UILabel+QMUI.h"
#endif

#if __has_include("UINavigationBar+QMUI.h")
#import "UINavigationBar+QMUI.h"
#endif

#if __has_include("UINavigationBar+Transition.h")
#import "UINavigationBar+Transition.h"
#endif

#if __has_include("UINavigationController+NavigationBarTransition.h")
#import "UINavigationController+NavigationBarTransition.h"
#endif

#if __has_include("UINavigationController+QMUI.h")
#import "UINavigationController+QMUI.h"
#endif

#if __has_include("UIScrollView+QMUI.h")
#import "UIScrollView+QMUI.h"
#endif

#if __has_include("UISearchBar+QMUI.h")
#import "UISearchBar+QMUI.h"
#endif

#if __has_include("UITabBar+QMUI.h")
#import "UITabBar+QMUI.h"
#endif

#if __has_include("UITabBarItem+QMUI.h")
#import "UITabBarItem+QMUI.h"
#endif

#if __has_include("UITableView+QMUI.h")
#import "UITableView+QMUI.h"
#endif

#if __has_include("UITableView+QMUICellHeightKeyCache.h")
#import "UITableView+QMUICellHeightKeyCache.h"
#endif

#if __has_include("UITableView+QMUIStaticCell.h")
#import "UITableView+QMUIStaticCell.h"
#endif

#if __has_include("UITableViewCell+QMUI.h")
#import "UITableViewCell+QMUI.h"
#endif

#if __has_include("UITextField+QMUI.h")
#import "UITextField+QMUI.h"
#endif

#if __has_include("UITextView+QMUI.h")
#import "UITextView+QMUI.h"
#endif

#if __has_include("UIView+QMUI.h")
#import "UIView+QMUI.h"
#endif

#if __has_include("UIViewController+QMUI.h")
#import "UIViewController+QMUI.h"
#endif

#if __has_include("UIWindow+QMUI.h")
#import "UIWindow+QMUI.h"
#endif

#endif /* QMUIKit_h */